package com.example.museum2;

import android.os.Bundle;

import androidx.appcompat.app.AppCompatActivity;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import java.util.ArrayList;
import java.util.List;

public class Caffee extends AppCompatActivity {


    List<Model> modelList;
    RecyclerView recyclerView;
    OrderAdapter mAdapter;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_caffee);


        // creating an arraylist

        modelList = new ArrayList<>();
        modelList.add(new Model("Green Tea", getString(R.string.greentea), R.drawable.greentea ));
        modelList.add(new Model("Water", getString(R.string.water), R.drawable.water));
        modelList.add(new Model("Coffee", getString(R.string.coffee), R.drawable.coffee));
        modelList.add(new Model("Flatbread", getString(R.string.flatbread), R.drawable.flatbread));
        modelList.add(new Model("Sandwich", getString(R.string.sandwich), R.drawable.sandwich));
        modelList.add(new Model("Sweet roll", getString(R.string.sweetroll), R.drawable.sweetroll));
        modelList.add(new Model("Salad", getString(R.string.salad), R.drawable.salad));



        // recyclerview
        recyclerView = findViewById(R.id.recyclerView);
        recyclerView.setLayoutManager(new LinearLayoutManager(null));
        // adapter
        mAdapter = new OrderAdapter(this, modelList);
        recyclerView.setAdapter(mAdapter);




    }
}